BizKitHub
DocsAPI ReferenceIssue/bff/issue/add-email
postIssueAdmin BFF

/bff/issue/add-email

Adds a customer-visible reply (channel = email_out) and sends it as an e-mail to the reporter and assignee via sendIssueCommentToEmail. Use /add-comment for staff-only notes.

IssuepostBffIssueAdd-email

Parameters

JSON body

Request body

application/json
issueKeystringRequired

Issue key to reply on.

ExamplePROJ-123
messagestringRequired

E-mail body text.

Length: 1
ExampleDobrý den, faktura byla opravena a přeposlána na Vaši adresu.

Response schema

1 status code documented

200Success
successbooleanRequired

Whether the reply was sent successfully.

commentIdstringRequired

Generated comment ID.

ExamplePROJ-123_c456

Response example

application/json
{
  "success": false,
  "commentId": "PROJ-123_c456"
}

Request example

POST /bff/issue/add-email

post
curl -X POST "https://api.bizkithub.com/bff/issue/add-email" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "issueKey": "PROJ-123",
  "message": "Dobrý den, faktura byla opravena a přeposlána na Vaši adresu."
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key